opensaml-2.5.5

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Macros | Functions
EntityMatcher.h File Reference

Licensed to the University Corporation for Advanced Internet Development, Inc. More...

`#include <saml/base.h>`

## Classes
class | opensaml::saml2md::EntityMatcher
| An entity matcher is a predicate that evaluates an entity against a set of matching rules. More...

## Namespaces
| opensaml
| Common classes for OpenSAML library.
| opensaml::saml2md
| SAML 2.0 metadata namespace.

## Macros
#define | NAME_ENTITY_MATCHER "Name"
| EntityMatcher that matches based on name. More...
#define | ENTITYATTR_ENTITY_MATCHER "EntityAttributes"
| EntityMatcher that applies a set of input attributes. More...

## Functions
void | opensaml::saml2md::registerEntityMatchers ()
| Registers EntityMatcher classes into the runtime.

## Detailed Description

Licensed to the University Corporation for Advanced Internet Development, Inc.

(UCAID) under one or more contributor license agreements. See the NOTICE file distributed with this work for additional information regarding copyright ownership.

UCAID licenses this file to you under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

Applies a set of matching rules to an entity.

## Macro Definition Documentation

#define ENTITYATTR_ENTITY_MATCHER "EntityAttributes"

EntityMatcher that applies a set of input attributes.

#define NAME_ENTITY_MATCHER "Name"

EntityMatcher that matches based on name.